<?php

namespace Appweb;

use Illuminate\Database\Eloquent\Model;

class Cliente extends Model
{
    protected $fillable = [
    	'nome', 
    	'email', 
        'endereco',
        'bairro', 
        'cidade', 
        'estado',
        'cep',
        'sexo', 
        'telefone',
        'telefone2',
        'celular',
        'celular2',
        'vendedor',
        'cpfcnpj',
        'rgie',
    	'cadastro',
    	'observacoes',
    	];
    public $timestamps = false;

    public function cidade_cliente()
    {
        return $this->hasOne('Appweb\Cidade', 'codigo', 'cidade');
    }

    public function estado_cliente()
    {
        return $this->hasOne('Appweb\Estado', 'codigo', 'estado');
    }

}
