<?php

namespace Appweb;

use Illuminate\Database\Eloquent\Model;

class Entrada extends Model
{
    protected $table = 'entrada_produtos';
    protected $fillable = [
    	'nf', 
    	'data', 
    	'data_nf', 
    	'fornecedor',
        'quantidade_itens',
    	'total', 
    	'usuario', 
    	'observacoes',
    	'status'
    	];
    public $timestamps = false;

    public function itens()
    {
        
        return $this->hasMany('Appweb\EntradaItem', 'entrada');

    }

    public function fornecedor() {

        return $this->hasOne('Appweb\Fornecedor', 'id', 'fornecedor');

    }

}
