<?php

namespace Appweb;

use Illuminate\Database\Eloquent\Model;

class EntradaItem extends Model
{
    protected $table = 'entrada_produtos_itens';
    protected $fillable = [
    	'entrada',
    	'referencia', 
    	'descricao',
        'quantidade',
    	'unidade', 
    	'valor',
    	'desconto', 
    	'subtotal',
    	'status',
    	'tamanho',
    	'cor',
    	];
    public $timestamps = false;

    public function entrada()
    {
        
        return $this->belongsTo('Appweb\Entrada', 'id');

    }

}
