<?php

namespace Appweb\Http\Controllers;

use Illuminate\Http\Request;

use Appweb\Http\Requests;
use Appweb\Http\Controllers\Controller;
use Appweb\Libraries\Util;
use Appweb\Provisionado;
use Carbon\Carbon;

class PrincipalController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return Response
     */
    public function index()
    {
        
        $provisionado = Util::provisionado();
        if (count($provisionado) == 0) {
            $saldo = Provisionado::where('mes', Carbon::now()->month-1)->first();
            $provisionado = new Provisionado();
            $provisionado->saldo    = (count($saldo) == 0) ? 0 : $saldo->saldo;
            $provisionado->mes      = Carbon::now()->month;
            $provisionado->ano      = Carbon::now()->year;
            $provisionado->save();
        }
        // dd($provisionado);
        return view('pages.home');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return Response
     */
    public function cadastros()
    {
        return view('pages.cadastros');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @return Response
     */
    public function faturas()
    {
        return view('pages.fatura');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return Response
     */
    public function foradoar()
    {
        return view('errors.503');
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  int  $id
     * @return Response
     */
    public function update($id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return Response
     */
    public function destroy($id)
    {
        //
    }
}
