<?php

namespace Appweb;

use Illuminate\Database\Eloquent\Model;

class Pedido extends Model
{

    public $timestamps = false;

    public function itens()
    {
        
        return $this->hasMany('Appweb\PedidoItem', 'pedido');

    }

    public function vendedor() 
    {

        return $this->hasOne('Appweb\User', 'id', 'vendedor_id');

    }

    public function cliente() 
    {

        return $this->hasOne('Appweb\Cliente', 'id', 'cliente_id');

    }

}
