<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateEntradaProdutosItensTemp extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('entrada_produtos_itens_temp', function (Blueprint $table) {
            $table->increments('id');
            $table->date('data')->nullable();
            $table->string('referencia', 13)->nullable();
            $table->string('descricao', 255)->nullable();
            $table->integer('quantidade')->nullable();
            $table->string('unidade', 3)->nullable();
            $table->double('valor', 10,2)->nullable();
            $table->double('subtotal', 10,2)->nullable();
            $table->string('status', 20)->nullable();
            $table->string('terminal', 64)->nullable();
            $table->integer('entrada')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('entrada_produtos_itens_temp');
    }
}
