<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCaixa extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('caixa', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('registro')->nullable();
            $table->dateTime('data')->nullable();
            $table->string('formapagamento', 255)->nullable();
            $table->string('tipomovimento', 255)->nullable();
            $table->double('valor', 10,2)->nullable();
            $table->string('cheque', 12)->nullable();
            $table->integer('parcelas')->nullable();
            $table->integer('parcelascartao')->nullable();
            $table->string('bandeiracartao', 255)->nullable();
            $table->string('status', 20)->nullable();
            $table->text('observacoes')->nullable();
            $table->string('movimento', 20)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('caixa');
    }
}
