<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateParcelas extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        
        Schema::create('parcelas', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('pedido')->nullable();
            $table->integer('pagamento_id')->nullable();
            $table->integer('promissoria_id')->nullable();
            $table->integer('parcela')->nullable();
            $table->string('documento', 10)->nullable();
            $table->dateTime('vencimento')->nullable();
            $table->dateTime('quitacao')->nullable();
            $table->double('valor', 10,2)->nullable();
            $table->double('valor_pago', 10,2)->nullable();
            $table->double('saldo', 10,2)->nullable();
            $table->integer('cliente')->nullable();
            $table->integer('fornecedor_id')->nullable();
            $table->smallInteger('status')->nullable();
        });

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('parcelas');
    }
}
