<!DOCTYPE html>
<html lang="pt-br">
<head>

    <meta charset="utf-8">
    <?php
        $empresa = @Appweb\Empresa::first();
        // dd($empresa);
    ?>
    <title>{!! @$empresa->nome_fantasia !!} - App</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="apple-mobile-web-app-capable" content="yes" />
    <meta name="apple-mobile-web-app-status-bar-style" content="default" />
    
    @if (File::exists(public_path('/img/logo-oficial-1.png'))) 
        <?php $logo = asset('/img/logo-oficial-1.png'); ?>
    @else 
        <?php $logo = asset('/img/logo-114x114.png'); ?>
    @endif

    <!-- Favicons -->
    <link rel="shortcut icon" href="{!! $logo !!}" type="image/ico" />
    <link rel="apple-touch-icon-precomposed" sizes="57x57" href="{{ asset('img/logo-57x57.png') }}" />
    <link rel="apple-touch-icon-precomposed" sizes="72x72" href="{{ asset('img/logo-72x72.png') }}" />
    <link rel="apple-touch-icon-precomposed" sizes="114x114" href="{{ asset('img/logo-114x114.png') }}" />

    <!-- CSS Template -->
    {!! HTML::style('js/bootstrap/css/bootstrap.css') !!}
    {!! HTML::style('fonts/font-awesome.css') !!}
    {!! HTML::style('plugins/iCheck/custom.css') !!}
    {!! HTML::style('css/animate.css') !!}
    {!! HTML::style('css/stylesheet.css') !!}
    {!! HTML::style("js/ui/css/jquery-ui.css") !!} 
    {!! HTML::style('plugins/select2/select2.css') !!} 

    <script>
        window.Config = {
            userID: {{ isset(auth()->user()->id) ? auth()->user()->id : 0 }},
            baseURL: '{!! url('') !!}'+'/',
            jqueryNav: 'js/nav'
        }
    </script>
</head>

<body>

    <div id="wrapper">

        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown transparent-bg profile-element text-center"> 

                            <img src="{!! $logo !!}" style="width: 114px" alt="">

                        </div>
                        <div class="logo-elemen oculta" style="background: #2f4050;">
                            
                            <img class="" src="{!! $logo !!}" alt="" style="width: 57px; margin-left: 8px">

                        </div>
                    </li>
                    <li>
                        <a href="{!! URL::to("/") !!}"><i class="fa fa-tachometer"></i>
                        <span class="nav-label">Início</span></span></a>
                        
                    </li>
                    <!-- <li>
                        <a href="{!! URL::to("/") !!}"><i class="fa fa-shopping-cart"></i>
                        <span class="nav-label">Pedidos</span> <span class="fa arrow"></span></a>
                        <ul class="nav nav-second-level">
                            <li><a href="{!! URL::to("pedidos/venda") !!}">Venda</a></li>
                            <li><a href="{!! URL::to("pedidos/servico") !!}">Serviço</a></li>
                            {{-- <li ><a href="{!! URL::to("consulta") !!}">Consulta</a></li> --}}
                            {{-- <li ><a href="{!! URL::to("produtos") !!}">Produtos</a></li> --}}
                        </ul>
                    </li> -->
                    <li>
                        <a href="{{ url('consultas') }}"><i class="fa fa-check"></i> <span class="nav-label">Pedidos</span></a>
                    </li>
                    <li>
                        <a href="{{ route('os') }}"><i class="fa fa-cogs"></i> <span class="nav-label">Ordens de Serviço</span></a>
                    </li>
                    <li>
                        <a href="{{ url('caixa') }}"><i class="fa fa-money "></i> <span class="nav-label">Caixa</span></a>
                    </li>
                    {{-- <li>
                        <a href="#"><i class="fa fa-check"></i>
                        <span class="nav-label">Consultas</span><span class="fa arrow"></span></a>
                        <ul class="nav nav-second-level">
                            <li><a href="{!! URL::to("consultas") !!}">Pedidos</a></li>
                        </ul>
                    </li> --}}
                    {{-- <li class="active">
                        <a href="{!! URL::to("default") !!}"><i class="fa fa-flask"></i> <span class="nav-label">Widgets</span> </a>
                    </li> --}}
                    {{-- <li>
                        <a href="#"><i class="fa fa-files-o"></i> <span class="nav-label">Caixa</span><span class="fa arrow"></span></a>
                        <ul class="nav nav-second-level">
                            <li><a href="{{ url('caixa') }}">Movimento</a></li>
                            <li><a href="{{ url('caixa/promissorias') }}">Promissórias</a></li>
                        </ul>
                    </li> --}}
                    <li>
                        <a href="#"><i class="fa fa-archive "></i> <span class="nav-label">Cadastros</span><span class="fa arrow"></span></a>
                        <ul class="nav nav-second-level">
                            <li><a href="{{ url('cadastros/clientes') }}">Clientes</a></li>
                            <li><a href="{{ url('cadastros/produtos') }}">Produtos</a></li>
                            <li><a href="{{ url('cadastros/categorias/produtos') }}">Categorias (Produtos)</a></li>
                            <li><a href="{{ url('cadastros/insumos') }}">Insumos</a></li>
                            <li><a href="{{ url('cadastros/servicos') }}">Serviços</a></li>
                            <li><a href="{{ url('cadastros/fornecedores') }}">Fornecedores</a></li>
                            <li><a href="{{ url('cadastros/usuarios') }}">Usuários</a></li>
                            <li><a href="{{ url('cadastros/lojas') }}">Lojas</a></li>
                        </ul>
                    </li>
                    <li>
                        <a href="{{ url('contasreceber') }}"><i class="fa fa-calendar"></i> <span class="nav-label">Contas a Receber</span></a>
                    </li>
                    <li>
                        <a href="{{ url('contaspagar') }}"><i class="fa fa-credit-card "></i> <span class="nav-label">Contas a Pagar</span></a>
                    </li>
                    <li>
                        <a href="{{ url('estoque') }}"><i class="fa fa-cube "></i> <span class="nav-label">Estoque</span></a>
                    </li>
                    {{-- <li>
                        <a href="#"><i class="fa fa-sitemap"></i> <span class="nav-label">Menu Levels </span><span class="fa arrow"></span></a>
                        <ul class="nav nav-second-level">
                            <li>
                                <a href="#">Third Level <span class="fa arrow"></span></a>
                                <ul class="nav nav-third-level">
                                    <li>
                                        <a href="#">Third Level Item</a>
                                    </li>
                                    <li>
                                        <a href="#">Third Level Item</a>
                                    </li>
                                    <li>
                                        <a href="#">Third Level Item</a>
                                    </li>

                                </ul>
                            </li>
                            <li><a href="#">Second Level Item</a></li>
                            <li>
                                <a href="#">Second Level Item</a></li>
                            <li>
                                <a href="#">Second Level Item</a></li>
                        </ul>
                    </li> --}}

                    <br>

                    <li>
                        <a href="{{ route('ferramentas.empresa') }}"><i class="fa fa-cog "></i> <span class="nav-label">Empresa</span></a>
                    </li>
                </ul>

            </div>
        </nav>

        <div id="page-wrapper" class="">
            
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right pull-right">
                        {{-- <li class="dropdown">
                            <a class="dropdown-toggle count-info" data-toggle="dropdown" href="#">
                                <i class="fa fa-envelope"></i>  <span class="label label-warning">16</span>
                            </a>
                            <ul class="dropdown-menu animated fadeInRight m-t-xs dropdown-messages">
                                <li>
                                    <div class="dropdown-messages-box">
                                        <a href="profile.html" class="pull-left">
                                            <img alt="image" class="img-circle" src="{!! asset("img/avatares/avatar5.png") !!}">
                                        </a>
                                        <div class="media-body">
                                            <small class="pull-right">46h ago</small>
                                            <strong>Mike Loreipsum</strong> started following <strong>Monica Smith</strong>. <br>
                                            <small class="text-muted">3 days ago at 7:58 pm - 10.06.2014</small>
                                        </div>
                                    </div>
                                </li>
                                <li class="divider"></li>
                                <li>
                                    <div class="dropdown-messages-box">
                                        <a href="profile.html" class="pull-left">
                                            <img alt="image" class="img-circle" src="{!! asset("img/avatares/avatar4.png") !!}">
                                        </a>
                                        <div class="media-body ">
                                            <small class="pull-right text-navy">5h ago</small>
                                            <strong>Chris Johnatan Overtunk</strong> started following <strong>Monica Smith</strong>. <br>
                                            <small class="text-muted">Yesterday 1:21 pm - 11.06.2014</small>
                                        </div>
                                    </div>
                                </li>
                                <li class="divider"></li>
                                <li>
                                    <div class="dropdown-messages-box">
                                        <a href="profile.html" class="pull-left">
                                            <img alt="image" class="img-circle" src="{!! asset("img/avatares/avatar5.png") !!}">
                                        </a>
                                        <div class="media-body ">
                                            <small class="pull-right">23h ago</small>
                                            <strong>Monica Smith</strong> love <strong>Kim Smith</strong>. <br>
                                            <small class="text-muted">2 days ago at 2:30 am - 11.06.2014</small>
                                        </div>
                                    </div>
                                </li>
                                <li class="divider"></li>
                                <li>
                                    <div class="text-center link-block">
                                        <a href="mailbox.html">
                                            <i class="fa fa-envelope"></i> <strong>Read All Messages</strong>
                                        </a>
                                    </div>
                                </li>
                            </ul>
                        </li> --}}
                        
                        <li class="dropdown">
                            @if (Util::pendentes())
                            <a class="dropdown-toggle count-info" data-toggle="dropdown" href="#">
                                <i class="fa fa-bell"></i>  <span class="label label-primary">{!! Util::pendentes() !!}</span>
                            </a>
                            <ul class="dropdown-menu animated fadeInRight m-t-xs dropdown-alerts">
                                
                                <li>
                                    <a href="{{ url('consultas') }}">
                                        <div>
                                            <i class="fa fa-shopping-cart fa-fw"></i> Você tem {!! Util::pendentes() !!} pedidos pendentes
                                            <span class="pull-right text-muted small">...</span>
                                        </div>
                                    </a>
                                </li>
                                <li class="divider"></li>
                            </ul>
                            @else
                            <a class="dropdown-toggle count-info" data-toggle="dropdown" href="#">
                                <i class="fa fa-bell"></i>  <span class="label label-primary"></span>
                            </a>
                            <ul class="dropdown-menu animated fadeInRight m-t-xs dropdown-alerts">
                                
                                <li>
                                    <a href="#">
                                        <div class="text-center">
                                            <span class="pull-right text-muted small">Sem notificações!</span>
                                        </div>
                                    </a>
                                </li>
                            </ul>
                            @endif
                        </li>

                        <!-- <li>
                            <a href="login.html">
                                <i class="fa fa-sign-out"></i> Log out
                            </a>
                        </li> -->

                        <!-- <li class="nav-header">
                            <div class="dropdown profile-element"> <span>
                                <img alt="image" class="img-circle" src="{!! asset("img/avatares/avatar5.png") !!}" />
                                </span>
                                <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear"> <span class="block m-t-xs"> <strong class="font-bold">David Williams</strong>
                                </span> <span class="text-muted text-xs block">Art Director <b class="caret"></b></span> </span> </a>
                                <ul class="dropdown-menu animated fadeInRight m-t-xs">
                                    <li><a href="profile.html">Profile</a></li>
                                    <li><a href="contacts.html">Contacts</a></li>
                                    <li><a href="mailbox.html">Mailbox</a></li>
                                    <li class="divider"></li>
                                    <li><a href="login.html">Logout</a></li>
                                </ul>
                            </div>
                            <div class="logo-element">
                                IN+
                            </div>
                        </li> -->
                        
                        <!-- classes : user user-menu -->
                        <li class="user user-menu ">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                <i class="glyphicon glyphicon-user"></i>
                                <span class="drop-login"><i class="caret"></i></span>{!! Auth::user()->nome !!}
                            </a>
                            <ul class="dropdown-menu animated fadeInRight m-t-xs dropdown-user">
                                
                                <div class="dropdown menu-login"> 

                                    <div class="avatar">
                                    <img alt="image" class="img-circle" src="@if (!empty(Auth::user()->avatar)) {!! asset("img/avatares") . "/" . Auth::user()->avatar !!} @else {!! asset("img/avatar0.png") !!} @endif" />
                                    </div>
                                    
                                    <span class="clear"> 
                                        <span class="block m-t-xs">
                                        <strong class="font-bold">{!! Auth::user()->nome !!}</strong>
                                        </span> 
                                        <span class="">{!! Auth::user()->nivel !!}</span> 
                                    </span> 
                                    <br>
                                    <div class="btn-group-justified">
                                        
                                        <a href="{!! URL::to("login/perfil") !!}" class="btn">Perfil</a>
                                        <a href="{!! URL::to("login/logout") !!}" class="btn">Sair</a>
                                        
                                    </div>
                                    <br>
                                    <div class="btn-group-justified">
                                        <a href="{!! URL::to("configuracoes") !!}" class="btn">Configurações</a>
                                    </div>
                                    
                                </div>

                            </ul>
                        </li>

                    </ul>
                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="top10 bottom5 clearfix">
                    <div class="col-xs-9">
                        <h2 class="margin-0">{!! @$modulo !!}</h2>
                    </div>
                    <div class="col-xs-3 text-right pull-right">
                        <div class="btn-group padding-right6">
                            <button class="btn btn-sm btn-primary margin-0" onclick="javascript:history.go(0); return false;" title="Atualizar"><i class="fa fa-refresh"></i></button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="wrapper wrapper-content animated fadeInRight">
                
                @yield("css")
                @yield("content")

            </div>
            
            <br>
            
            <div class="footer">
                <div class="pull-left">
                    {{ env("CLIENTE") }}
                </div>
                <div class="pull-right">
                    &copy; <strong>WebInteractive </strong> 
                </div>
            </div>
        
        </div>
    </div>

    <!-- Scripts -->
    {!! HTML::script('js/jquery-2.1.1.min.js') !!}
    {!! HTML::script('js/bootstrap/js/bootstrap.min.js') !!}
    {!! HTML::script('js/nav/jquery.nav.js') !!}
    {!! HTML::script('js/jquery.funcoes.js') !!}
    {!! HTML::script('js/jquery.floatnumber.js') !!}
    {!! HTML::script('js/jquery.numeric.pack.js') !!}

    <!-- Scripts do Template -->
    {!! HTML::script('plugins/metisMenu/jquery.metisMenu.js') !!}
    {!! HTML::script('plugins/slimscroll/jquery.slimscroll.min.js') !!}

    <!-- Custom and plugin javascript -->
    {!! HTML::script('js/inspinia.js') !!}
    {!! HTML::script('plugins/pace/pace.min.js') !!}

    <!-- iCheck -->
    {!! HTML::script('plugins/iCheck/icheck.min.js') !!}

    <!-- Jvectormap -->
    <!-- 
        <script src="js/plugins/jvectormap/jquery-jvectormap-1.2.2.min.js"></script>
        <script src="js/plugins/jvectormap/jquery-jvectormap-world-mill-en.js"></script>
    -->

    <!-- Flot -->
    <!-- 
        <script src="js/plugins/flot/jquery.flot.js"></script>
        <script src="js/plugins/flot/jquery.flot.tooltip.min.js"></script>
        <script src="js/plugins/flot/jquery.flot.resize.js"></script>
    -->
    @yield("scripts")

</body>
</html>