
    <div class="box-body" id="area-detalhamento-promissoria">
            
        <div class="box-body">
            
            <div class="row">
                
                <div class="col-xs-8">
                    
                    <label for="" class="control-label">Cliente</label>
                    <h3 class="ellipsis" id="item-cliente">{!! @$promissoria->cliente->nome !!}</h3>

                </div>
                
                <div class="col-xs-4 text-right">
                            
                    <label for="" class="control-label">Total</label>
                    <h2 class="bold margin-0">{!! @Util::decimal2($promissoria->total) !!}</h2> 

                </div>

            </div> {{-- fim row --}}

            <hr>

            <div class="row">
                
                <div class="col-xs-8">

                    <span class="bold">Promissória:</span> 
                    <span id="item-id">{!! @$promissoria->id !!}</span>
                    <br>
                    <span class="bold">Data Promissória:</span> 
                    <span id="item-emissao">{!! @Util::dataFormat($promissoria->emissao) !!}</span>

                </div>

                <div class="col-xs-4 text-right">
                    
                    <label for="" class="control-label">Status</label>
                    <br>
                    @if ($promissoria->status == "Pendente" && $promissoria->total > 0)
                    <span id="" class="bold text-danger">{!! $promissoria->status !!}</span>
                    @elseif ($promissoria->status == "Quitada" || $promissoria->total == 0.00)
                    <span id="" class="bold text-success">{!! $promissoria->status !!}</span>
                    @endif

                </div>

            </div> {{-- fim row --}}
            
        </div> 

        <div class="well-sm bg-orange">
            
            <h4 class="margem-0">Itens</h4>
            
        </div>
    
        <hr>
        
        @if ($promissoria->parcelas->count() > 0)
            
            <?php $i = 1 ?>

            @foreach ($promissoria->parcelas as $item)
                
                <div class="row padding-left5" id="box-itens-linha">
                    
                    <div class="col-xs-1 text-right">
                        
                        <div class="row top5 padding-right10">
                            
                            <span class="bold">{!! $i++ !!}</span>

                        </div>

                    </div>

                    <div class="col-xs-2">
                        
                        <label for="" class="control-label">Vencimento</label>
                        <span class="ellipsis bold">
                            {!! Util::dataFormat($item->vencimento) !!} 
                        </span>

                    </div>
                    
                    <div class="col-xs-2 " id="area-quitacao">
                        
                        <label for="" class="control-label">Quitação</label>
                        @if (!empty($item->quitacao))
                            <br>
                            <span class="ellipsis bold">{!! @Util::dataFormat($item->quitacao) !!}</span>
                        @else
                            <br>
                            <span id="item-quitacao">-</span>
                        @endif

                    </div>

                    <div class="col-xs-2 text-center">
                        
                        <label for="" class="control-label">Parcela</label>
                        <br>
                        <span class="bold">{!! $item->parcela !!}</span>

                    </div>

                    <div class="col-xs-2 col-sm-2 text-right">
                        
                        <label for="" class="control-label">Documento</label>
                        <br>
                        <span class="bold">{!! $item->documento !!}</span>

                    </div>

                    <div class="col-xs-2 col-sm-2 text-right">
                        
                        <label for="" class="control-label">Valor</label>
                        <br>
                        <span class="padding-right4 bold">{!! Util::decimal2($item->valor) !!}</span>

                    </div>

                    <div class="col-xs-12 col-sm-1 top10 text-center">
                        @if ($item->saldo > 0)
                        <a class="well-sm" href="#" id="receber-promissoria" data-id="{!! $item->id !!}" data-documento="{!! $item->documento !!}" data-cliente="{!! $promissoria->cliente->nome !!}" data-valor="{!! $item->valor !!}" title="Receber">
                            <i class="fa fa-calendar fa-lg"></i>
                        </a>
                        @endif

                    </div>

                </div> {{-- fim box-itens-linha --}}

                <hr>

            @endforeach
        
        <div class="well-sm bg-orange">
            
            <h4 class="margem-0">Pedido (Itens)</h4>
            
        </div>
    
            @foreach ($pedido->itens as $item)
            
            <div class="box-body">

                <div class="row" data-id="{!! $item->pedido !!} " id="box-itens-linha">
                    
                    <div class="col-xs-9">
                    <label class="small" id="">Item:
                    <span id="contador" style="font-weight: bold; font-size: 14"></span>
                    </label><br>
                    <span class="descricao-item">  {!! $item->referencia !!} - {!! $item->descricao !!}   </span>
                    </div>
                    <div class="col-xs-3 hack-esquerda2 text-right">
                        <span class="bold clearfix">
                            {!! $item->quantidade !!} {!! $item->unidade !!} x {!! Util::decimal2($item->valor) !!}
                        </span>
                        <span class="bold">{!! Util::decimal2($item->subtotal) !!}</span>
                    </div>

                </div>

            </div>
            
            @endforeach

        <hr>

            <div class="row">
                
                <div class="col-xs-6 text-right pull-right">
                    
                    <span id="bt-imprimir-promissoria"><i class="fa fa-print fa-2x"></i></span>    

                </div>

            </div>

        @else
            
            {!! "" !!}

        @endif

    </div>
