@extends('layouts.default')
@section('content')
	
	<div class="row">
		
        <div class="col-xs-6">
            
            <label for="" class="control-label">NF</label>
            <br>
            <h3 class="bold">{!! @$nf !!}</h3>
        
        </div>

        <div class="col-xs-6 text-right">
            
            <label class="control-label" for="">Total da Nota</label>
            <h3 class="bold">{!! @Util::decimal2($total) !!}</h3>

        </div>
        
    </div> <!-- fim row -->
	
    <div class="borda-bottom"></div>

	<div class="row">
		
        <div class="col-xs-12 text-center">
            
            <span>Entrada de Nota Fiscal finalizada com sucesso!</span>
        
        </div>

	</div> <!-- fim row -->

	<div class="row">
		
	    <div class="col-xs-12 centro text-right">
	        
	        <input class="btn btn-primary" id="bt-voltar" type="button" value="Fechar">

	    </div>

	</div>
	
@endsection

@section('scripts')
	
	{!! HTML::script("js/jquery.printThis.js") !!} 

    <script>

        $("#bt-voltar").click(function() {
            
            window.location.href = Config.baseURL + "estoque/movimento";
            
        });

    </script>

@endsection
