@extends('layouts.default')
@section('content')

    <div class="row">

        <div class="col-xs-12 col-sm-6">
            
            
            <?php // var_dump(File::exists(public_path('/img/logo-oficial-1.png'))) ?>

            <a href="{!! URL::to("pedidos") !!}">
                
                <div class="widget style1 navy-bg">
                    <div class="row">
                        <div class="col-xs-4">
                            <i class="fa fa-shopping-cart fa-5x"></i>
                        </div>
                        <div class="col-xs-8 text-right">
                            <span> Vendas e Serviços </span>
                            <h2 class="font-bold">Pedidos</h2>
                        </div>
                    </div>
                </div>

            </a>

        </div>

        <div class="col-xs-12 col-sm-6">
            
            <a href="{!! URL::to("caixa") !!}">
                
                <div class="widget style1 red-bg">
                    <div class="row">
                        <div class="col-xs-4">
                            <i class="fa fa-money fa-5x"></i>
                        </div>
                        <div class="col-xs-8 text-right">
                            <span> Movimento e Relatórios </span>
                            <h2 class="font-bold">Caixa</h2>
                        </div>
                    </div>
                </div>

            </a>

        </div>
        
        <div class="col-xs-12 col-sm-6">

            <a href="{!! URL::to("consultas") !!}">
                 
                <div class="widget style1 yellow-bg">
                    <div class="row">
                        <div class="col-xs-4">
                            <i class="fa fa-check fa-5x"></i>
                        </div>
                        <div class="col-xs-8 text-right">
                            <span> Vendas e Serviços </span>
                            <h2 class="font-bold">Consultas</h2>
                        </div>
                    </div>
                </div>

            </a>

        </div>

        <div class="col-xs-12 col-sm-6">

            <a href="{!! URL::to("cadastros") !!}">
                 
                <div class="widget style1 navy-bg">
                    <div class="row">
                        <div class="col-xs-4">
                            <i class="fa fa-archive fa-5x"></i>
                        </div>
                        <div class="col-xs-8 text-right">
                            <span> Consultas e Manutenção </span>
                            <h2 class="font-bold">Cadastros</h2>
                        </div>
                    </div>
                </div>

            </a>

        </div>

        <div class="col-xs-12 col-sm-6">

            <a href="{!! URL::to("os") !!}">
                 
                <div class="widget style1 navy-bg">
                    <div class="row">
                        <div class="col-xs-4">
                            <i class="fa fa-cogs fa-5x"></i>
                        </div>
                        <div class="col-xs-8 text-right">
                            <span> Manutenção e reparos </span>
                            <h2 class="font-bold">Ordens de Serviços</h2>
                        </div>
                    </div>
                </div>

            </a>

        </div>

        <div class="col-xs-12 col-sm-6">
            
            <a href="{!! URL::to("contasreceber") !!}">
                
                <div class="widget style1 blue-bg">
                    <div class="row">
                        <div class="col-xs-4">
                            <i class="fa fa-calendar fa-5x"></i>
                        </div>
                        <div class="col-xs-8 text-right">
                            <span> Consulta e Relatórios </span>
                            <h2 class="font-bold">Contas a Receber</h2>
                        </div>
                    </div>
                </div>

            </a>

        </div>

        <div class="col-xs-12 col-sm-6">
            
            <a href="{!! URL::to("contaspagar") !!}">
                
                <div class="widget style1 blue-bg">
                    <div class="row">
                        <div class="col-xs-4">
                            <i class="fa fa-credit-card fa-5x"></i>
                        </div>
                        <div class="col-xs-8 text-right">
                            <span> Consulta e Relatórios </span>
                            <h2 class="font-bold">Contas a Pagar</h2>
                        </div>
                    </div>
                </div>

            </a>

        </div>

        <div class="col-xs-12 col-sm-6">

            <a href="{!! URL::to("estoque") !!}">
                 
                <div class="widget style1 yellow-bg">
                    <div class="row">
                        <div class="col-xs-4">
                            <i class="fa fa-cube fa-5x"></i>
                        </div>
                        <div class="col-xs-8 text-right">
                            <span> Consulta e Movimento </span>
                            <h2 class="font-bold">Estoque</h2>
                        </div>
                    </div>
                </div>

            </a>

        </div>

    </div> <!-- fim row -->

@endsection
