@extends('layouts.default')
@section('css')
    
    {!! HTML::style('plugins/bs-switch/css/bootstrap3/bootstrap-switch.min.css') !!} 

@endsection
@section('content')
    
<div class="ibox-content">
            
    <div id="tela" class="hidden">{{ @$tela }}</div>

    {!! Form::open(array('route'=>['os.finalizar', 'technos'], 'class'=>'form-horizontal', 'id'=>'form-ordem-de-servico')) !!} 
        
        <h4 class=""><strong>Serviço</strong></h4>
        <hr>
        {{--             
        <div class="alert alert-dismissable alert-danger oculta" id="area-alerta">

            <button type="button" class="close" data-dismiss="alert">×</button>
            <span id="mensagem-alerta" class="oculta"></span>

        </div> --}}

        {{-- <div class="hr-line-dashed"></div> --}}

        @if ($errors->has())

            <div class="alert alert-dismissable alert-danger">
                <button type="button" class="close" data-dismiss="alert">×</button>
                {!! HTML::ul($errors->all()) !!} 

            </div>

        @endif

        <div class="row oculta">
            
            <div class="col-xs-6 col-sm-3">
                
                <label class="control-label" for="">Itens</label>
                <h3 id="quantidade-itens-os" class="bold">0</h3>
                
                {!! Form::hidden("itens", null, array('id' => 'itens')) !!} 

            </div>
    
            <div class="col-xs-6 col-sm-3 pull-right text-right">
                
                <label class="control-label" for="">Valor Total</label>
                <h3 id="valor-total-os" class="bold">0,00</h3>

            </div>

        </div> <!-- fim row -->
        
        <div class="row">


        </div> <!-- fim row -->

        <div class="row">

            <div class="col-xs-6 col-sm-3">
                
                <div class="control-group">
                    <label class="control-label">Cliente</label>
                    <div class="form-group has-orange">
                        <div class="input-group">
                            {!! Form::text('cliente', null, array('class'=>'form-control text-center ', 'readonly', 'id'=>'cliente')) !!} 
                            <span class="input-group-btn">
                                <button class="btn btn-primary btn-80" style="margin: 0" id="bt-busca-clientes">
                                    <i class="fa fa-search"></i>
                                </button>
                                <button class="btn btn-primary" style="margin: 0;margin-left: 4px" id="bt-adicionar-cliente" title=" Adicionar"><i class="fa fa-plus"></i></button>
                            </span>
                        </div>
                    </div>
                </div>
                
            </div>
            
            <div class="col-xs-6 col-sm-6">
                
                <div class="form-group has-orange">
                    <label class="control-label">Nome</label>
                    <input type="text" id="cliente-nome" class="form-control " readonly="true" value="" />
                </div>

            </div>

            <div class="col-xs-6 col-sm-3 pull-right text-right">

                <div class="control-group">
                  <label class="control-label">Total</label>
                    <div class="form-group has-orange">
                    
                    {!! Form::text('total', "0,00", array('class'=>'form-control text-center', 'id'=>'total')) !!} 

                    </div>
                </div>

            </div>

        </div>
        
        <div class="row">
        
            
        
        </div>

        <div class="row">

            <div class="col-xs-6 col-sm-3">

                <div class="control-group">
                  <label class="control-label">Nota Fiscal</label>
                    <div class="form-group has-orange">
                    
                    {!! Form::text('nf', null, array('class'=>'form-control text-center', 'id'=>'nf')) !!} 

                    </div>
                </div>

            </div>

            <div class="col-xs-6 col-sm-3">
                                    
                <div class="control-group">
                  <label class="control-label" for="">Data</label>
                  <div class="form-group has-orange">

                    <input type="date" name="data" class="form-control text-center" id="data" value="{!! date("Y-m-d") !!}">

                  </div>
                </div>

            </div>

            <div class="col-xs-6 col-sm-3 pull-right">
                                    
                <div class="control-group">
                  <label class="control-label" for="">Entrega</label>
                  <div class="form-group has-orange">

                    <input type="date" name="data_entrega" class="form-control text-center" id="data-entrega" value="{!! date("Y-m-d") !!}">

                  </div>
                </div>

            </div>

            <div class="col-xs-6 col-sm-3 pull-right">
                                    
                <div class="control-group">
                  <label class="control-label" for="">Compra</label>
                  <div class="form-group has-orange">

                    <input type="date" name="data_compra" class="form-control text-center" id="data-compra" value="">

                  </div>
                </div>

            </div>

        </div> <!-- fim row -->

        <div class="row">
            
            <div class="col-xs-6 col-sm-3">

                <div class="control-group">
                  <label class="control-label">Marca</label>
                    <div class="form-group has-orange">
                    
                    {!! Form::text('marca', null, array('class'=>'form-control', 'id'=>'marca')) !!} 

                    </div>
                </div>

            </div>

            <div class="col-xs-6 col-sm-3">

                <div class="control-group">
                  <label class="control-label">Referência</label>
                    <div class="form-group has-orange">
                    
                    {!! Form::text('referencia', null, array('class'=>'form-control', 'id'=>'referencia')) !!} 

                    </div>
                </div>

            </div>

            <div class="col-xs-6 col-sm-3">
                
                <div class="control-group">
                  <label class="control-label" for="">Quantidade</label>
                  <div class="form-group has-orange">
                  
                    {!! Form::text('quantidade', "1", array('class'=>'form-control empty text-center', 'id'=>'quantidade')) !!} 
                                                
                  </div>
                </div>

            </div>

            <div class="col-xs-6 col-sm-3">
                
                <div class="control-group">
                  <label class="control-label">Categoria</label>
                    <div class="form-group has-orange">
                    
                    <?php
                        
                        $categorias = array(
                            ''=>'Selecione',
                            'Ouro'=>'Ouro',
                            'Metal'=>'Metal',
                            'PVC'=>'PVC',
                            'Couro'=>'Couro',
                            'Sem pulseira'=>'Sem pulseira',
                            'Sem haste'=>'Sem haste',
                            );
                            
                    ?>
                    
                    {!! Form::select('pulseira', $categorias, "", array('class' => 'form-control', 'id' => 'pulseira-tipo')) !!} 

                    </div>
                </div>

            </div>

        </div> <!-- fim row -->
        
        <div class="row oculta">
            
            <div class="col-xs-3 col-sm-2">
                
                <div class="form-group has-orange">
                    
                    <button class="btn btn-primary" id="bt-outros-itens" title=" Mais itens"><i class="fa fa-plus"></i> Mais itens</button>

                </div>

            </div>

        </div>

        <div class="row oculta" id="outros-itens">
            
            <div class="col-sm-12">

                <h4>Outros itens</h4>
                <hr>

            </div>

            <div class="col-sm-6">
                                    
                <div class="form-group">
                
                    <div class="col-sm-3">
                        <input type="text" name="quantidade_marca_itens[0]" class="form-control text-center" value="">
                    </div>
                    <div class="col-sm-9">
                        <input type="text" id="marca-itens" name="marca_itens[0]" class="form-control" value="">
                    </div>

                </div>
                <div class="form-group">
                
                    <div class="col-sm-3">
                        <input type="text" name="quantidade_marca_itens[1]" class="form-control text-center" value="">
                    </div>
                    <div class="col-sm-9">
                        <input type="text" id="marca-itens" name="marca_itens[1]" class="form-control" value="">
                    </div>

                </div>
                <div class="form-group">
                
                    <div class="col-sm-3">
                        <input type="text" name="quantidade_marca_itens[2]" class="form-control text-center" value="">
                    </div>
                    <div class="col-sm-9">
                        <input type="text" id="marca-itens" name="marca_itens[2]" class="form-control" value="">
                    </div>

                </div>
                <div class="form-group">
                
                    <div class="col-sm-3">
                        <input type="text" name="quantidade_marca_itens[3]" class="form-control text-center" value="">
                    </div>
                    <div class="col-sm-9">
                        <input type="text" id="marca-itens" name="marca_itens[3]" class="form-control" value="">
                    </div>

                </div>
                <div class="form-group">
                
                    <div class="col-sm-3">
                        <input type="text" name="quantidade_marca_itens[4]" class="form-control text-center" value="">
                    </div>
                    <div class="col-sm-9">
                        <input type="text" id="marca-itens" name="marca_itens[4]" class="form-control" value="">
                    </div>

                </div>

            </div>
            
            <div class="col-sm-6">
                
                <div class="form-group">
                
                    <div class="col-sm-3">
                        <input type="text" name="quantidade_marca_itens[5]" class="form-control text-center" value="">
                    </div>
                    <div class="col-sm-9">
                        <input type="text" id="marca-itens" name="marca_itens[5]" class="form-control" value="">
                    </div>

                </div>
                <div class="form-group">
                
                    <div class="col-sm-3">
                        <input type="text" name="quantidade_marca_itens[6]" class="form-control text-center" value="">
                    </div>
                    <div class="col-sm-9">
                        <input type="text" id="marca-itens" name="marca_itens[6]" class="form-control" value="">
                    </div>

                </div>
                <div class="form-group">
                
                    <div class="col-sm-3">
                        <input type="text" name="quantidade_marca_itens[7]" class="form-control text-center" value="">
                    </div>
                    <div class="col-sm-9">
                        <input type="text" id="marca-itens" name="marca_itens[7]" class="form-control" value="">
                    </div>

                </div>
                <div class="form-group">
                
                    <div class="col-sm-3">
                        <input type="text" name="quantidade_marca_itens[8]" class="form-control text-center" value="">
                    </div>
                    <div class="col-sm-9">
                        <input type="text" id="marca-itens" name="marca_itens[8]" class="form-control" value="">
                    </div>

                </div>
                <div class="form-group">
                
                    <div class="col-sm-3">
                        <input type="text" name="quantidade_marca_itens[9]" class="form-control text-center" value="">
                    </div>
                    <div class="col-sm-9">
                        <input type="text" id="marca-itens" name="marca_itens[9]" class="form-control" value="">
                    </div>

                </div>

            </div>

        </div> <!-- fim row -->
        
        <div class="row">
                
            <div class="col-sm-12">
            
                <div class="control-group">
                    <label class="control-label" for="">Descrição</label>
                    <div class="form-group has-orange">
                        
                        {!! Form::textarea('observacoes', null, array('class'=>'form-control empty', 'id'=>'observacoes', 'rows'=>'4')) !!} 
                    
                    </div>
                </div>

            </div>
            
        </div> <!-- fim row -->

        <div class="row">
            
            <div class="row">
                    
                <div class="col-sm-3">
                    
                    <div class="checkbox">
                        <label>Retorno </label><br><br>
                        {!! Form::checkbox('retorno', '1', '', ['id'=>'retorno']) !!} 
                        
                    </div>

                </div>

                <div class="col-sm-3">
                    
                    <div class="checkbox">
                        <label>Garantia </label><br><br>
                        {!! Form::checkbox('garantia', '1', '', ['id'=>'garantia']) !!} 
                        
                    </div>

                </div>

            </div>       

        </div>
        
        <div class="box-footer">
            <div class="row">
                <div class="pull-right col-xs-6 text-right">
                    {!! Form::submit('Finalizar', array('class'=>'btn btn-primary', 'id'=>'bt-finalizar')) !!} 
                    <a href="{{ route('os') }}" class="btn btn-default" title="Cancelar"><i class="fa fa-reply"></i></a>
                </div>
            </div> <!-- fim row -->
        </div>

    {!! Form::close() !!} 
    
</div>

    @include('pages.partials.modal-buscar-clientes')
    @include('pages.partials.modal-clientes')

@stop

@section('scripts')
    
    {!! HTML::script("js/jquery.maskedinput.js") !!}
    {!! HTML::script("plugins/select2/select2.min.js") !!} 
    {!! HTML::script("plugins/bs-switch/js/bootstrap-switch.min.js") !!}
    {!! HTML::script("js/jquery.clientes.js") !!}
    <script>

        $("[id='retorno']").bootstrapSwitch({
            size: 'small ',
            onColor: 'primary',
            offColor: 'primary',
            onText: 'Sim',
            offText: 'Não',
            // labelText: '',
        });

        $("[id='garantia']").bootstrapSwitch({
            size: 'small ',
            onColor: 'primary',
            offColor: 'primary',
            onText: 'Sim',
            offText: 'Não',
            // labelText: '',
        });

    </script>
    <script>

        focusSelect('#total')

        $(function() {

            $('select[id=clientes]').select2()
            $('#cidades').select2()
            $("#estados").select2()
                .on("change", function(e) {
                      $('#cidades').html("...");
                });
            $('#valor').numeric(",");
            $('#valor').floatnumber(",", 2);

        });

        $("#bt-finalizar").click(function(e) {
            e.preventDefault();

            total = parseFloat($("#total").val().replace('.','').replace(',','.'));

            if (!$("#retorno").is(":checked")) {

                if (isNaN(total)) {
                    mensagem("Informe o Total");
                    alerta2('#total');
                } else {
                    // console.log(total)
                    $("#form-ordem-de-servico").submit();
                }

            } else {
                // console.log('BBB')
                $("#form-ordem-de-servico").submit();

            }

        });

        $("#bt-outros-itens").click(function(e) {
            e.preventDefault();

            $("#outros-itens").show();

        });

        $("#cliente-cpfcnpj").on('blur', function() {

            if (checarCPFCNPJ($(this).val()) == false && $.trim($(this).val()).length > 0) {
                alert("CPF/CNPJ Inválido!");
            }

        });

        $("#estados").change(function() {

            if($(this).val() != "0") {

                estado = $(this).val()

                $('#cidades').html("...");

                $.getJSON(Config.baseURL + 'cidades/listar-cidades-por-estado/' + estado, { 
                    ajax: 'true' 
                }, function(j){
                    
                    var options = '<option value="">Escolha a cidade</option>'; 
                    for (var i = 0; i < j.length; i++) {
                        // alert(j[0].Codigo)
                        options += '<option value="' + j[i].codigo + '">' + j[i].nome + '</option>';
                    }
                    $('#cidades').html(options);

                });

            } else {

                $('#cidades').html('<option value="">Escolha um estado</option>');

            }

        });

        jQuery(function($) {

           $("#cliente-cep").mask("99999-999");
           $("#cliente-fixo").mask("(99) 9999-9999");
           $("#cliente-celular").mask("(99) 99999-9999");

        });

        $("#bt-imprimir").click(function() {
            
            $("#area-itens").printThis({
                debug: false,              
                importCSS: true,           
                printContainer: false,      
                loadCSS: "../css/stylesheet.css", 
                pageTitle: "Pedido (Impressão)",            
                removeInline: false
                
            });

        });

        $("#bt-voltar").click(function() {
            
            window.location.href = Config.baseURL + "os";
            
        });

    </script>

@stop
