<?php

namespace Appweb;

use Illuminate\Database\Eloquent\Model;

class OrdemServico extends Model
{
    protected $table = 'ordens_de_servicos';
    public $timestamps = false;

    public function itens()
    {
    	return $this->hasMany('Appweb\OrdemServicoItem');
    }

    public function cliente()
    {
    	return $this->hasOne('Appweb\Cliente', 'id', 'cliente_id');
    }

    public function vendedor()
    {
    	return $this->hasOne('Appweb\User', 'id', 'vendedor_id');
    }

}
