<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateFornecedores extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('fornecedores', function (Blueprint $table) {
            $table->increments('id');
            $table->string('nome', 255)->nullable();
            $table->string('endereco', 255)->nullable();
            $table->string('bairro', 64)->nullable();
            $table->integer('cidade')->nullable();
            $table->integer('estado')->nullable();
            $table->string('cep', 10)->nullable();
            $table->string('telefone', 32)->nullable();
            $table->string('telefone2', 32)->nullable();
            $table->string('celular', 32)->nullable();
            $table->string('celular2', 32)->nullable();
            $table->string('cpfcnpj', 32)->nullable();
            $table->string('rgie', 32)->nullable();
            $table->string('email', 255)->nullable();
            $table->integer('vendedor')->nullable();
            $table->dateTime('cadastro')->nullable();
            $table->text('observacoes')->nullable();
            $table->smallInteger('ativo')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('fornecedores');
    }
}
