<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateEntradaProdutos extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('entrada_produtos', function (Blueprint $table) {
            $table->increments('id');
            $table->string('nf', 64)->nullable();
            $table->dateTime('data')->nullable();
            $table->dateTime('data_nf')->nullable();
            $table->integer('fornecedor')->nullable();
            $table->integer('quantidade_itens')->nullable();
            $table->double('total', 10,2)->nullable();
            $table->integer('usuario')->nullable();
            $table->text('observacoes')->nullable();
            $table->string('status', 20)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('entrada_produtos');
    }
}
