<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateContasPagar extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('contas_pagar', function (Blueprint $table) {
            $table->increments('id');
            $table->dateTime('emissao')->nullable();
            $table->dateTime('vencimento')->nullable();
            $table->dateTime('pagamento')->nullable();
            $table->string('documento', 64)->nullable();
            $table->integer('fornecedor_id')->nullable();
            $table->double('valor', 10,2)->nullable();
            $table->double('valorpago', 10,2)->nullable();
            $table->string('banco', 100)->nullable();
            $table->integer('usuario_id')->nullable();
            $table->text('observacoes')->nullable();
            $table->string('status', 20)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('contas_pagar');
    }
}
