<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateOrdensDeServicoItensTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ordens_de_servicos_itens', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('ordem_servico_id')->nullable();
            $table->string('servico_descricao', 255)->nullable();
            $table->double('valor', 10,2)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('ordens_de_servicos_itens');
    }
}
