<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AlterOrdensDeServicos extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('ordens_de_servicos', function (Blueprint $table) {
            $table->smallInteger('garantia')->nullable()->after('retorno');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('ordens_de_servicos', function ($table) {
            $table->dropColumn('garantia');
        });
    }
}
