@extends('layouts.default')
@section('content')
	
	<div class="ibox-content">
		
		{!! Form::open(array('url'=>'login/salvar/' . Auth::user()->id, 'class'=>'form-horizontal')) !!}
			
				@if ($errors->has())
	                                        
	                <div class="alert alert-dismissable alert-warning">
	                    <button type="button" class="close" data-dismiss="alert">×</button>
	                    <i class="fa fa-exclamation-circle"></i> 
	                    <strong>&nbsp;Opa!</strong> Houve um problema! <br><br>
	                    {!! HTML::ul($errors->all()) !!}

	                </div>

	            @endif

		        @if (Session::has('mensagem-sucesso'))
					
					<div class="row">
						
						<div class="col-xs-12">
				            <div class="alert alert-dismissable alert-success">
				                <button type="button" class="close" data-dismiss="alert">×</button>
				                {!! Session::get('mensagem-sucesso') !!}
				            </div>
						</div>
						
					</div>

		        @endif 

				<div class="row">
					
					<div class="col-xs-4 col-sm-4 col-lg-2 text-center">

					</div>

					<div class="col-xs-8 col-sm-8 col-lg-10">
						
						<div class="">

						</div> <!-- fim row -->

					</div>

				</div> <!-- fim row -->
				
			<div class="hr-line-dashed"></div>

			<div class="row">
				
	            <div class="col-xs-12 pull-right text-right">

	                {!! Form::submit('SALVAR', array('class'=>'btn btn-primary', 'id'=>'')) !!}
	                <a href="{!! URL::to("/") !!}" class="btn btn-default" title="Cancelar"><i class="fa fa-reply"></i></a>

	            </div>
						
			</div> <!-- fim row -->

		{!! Form::close() !!}
	
	</div> <!-- fim ibox-content -->
		
@endsection

@section('scripts')
	
	<script>

		$("#mudar-foto").click(function() {
			
			$("#avatares").toggle();
			$("#area-avatar").fadeOut();
			
		});

		$("img[id=img-avatar]").click(function() {
			
			$("#thumb").attr("src", Config.baseURL + "img/avatares/" + $(this).data("img"))
			$("#avatar").val($(this).data("img"));
			$("#area-avatar").fadeIn();
			$("#avatares").fadeOut();
			
		});

	</script>

@endsection
