    
    <?php // dd($pagamento); ?>
    <div class="hack-top10">
            
        <div class="padding-left2 padding-right2">
            
            <div class="row">
                
                <div class="col-xs-8">
                    
                    <label for="" class="control-label">Fornecedor</label>
                    <h3 class="ellipsis" id="item-fornecedor">{!! @$pagamento->fornecedor->nome !!}</h3>

                </div>
                
                <div class="col-xs-4 text-right">
                            
                    <label for="" class="control-label">Total</label>
                    <h2 class="bold margin-0">{!! @Util::decimal2($pagamento->valor) !!}</h2> 

                </div>

            </div> {{-- fim row --}}

            <hr>

            <div class="row">
                
                <div class="col-xs-8">

                    <span class="bold">Pagamento:</span> 
                    <span id="item-usuario">{!! @$pagamento->id !!}</span>
                    <br>
                    <span class="bold">Data Pagamento:</span> 
                    <span id="item-usuario">{!! @Util::dataFormat($pagamento->emissao) !!}</span>

                </div>

                <div class="col-xs-4 text-right">
                    
                    <label for="" class="control-label">Status</label>
                    <br>
                    @if ($pagamento->status == "Pendente")
                    <span id="" class="bold text-danger">{!! @$pagamento->status !!}</span>
                    @elseif ($pagamento->status == "Pago")
                    <span id="" class="bold text-success">{!! @$pagamento->status !!}</span>
                    @endif

                </div>

            </div> {{-- fim row --}}
            
        </div> 

        <div class="well-sm bg-orange">
            
            <h4 class="margem-0">Itens</h4>
            
        </div>
    
        <hr>
        
        @if ($pagamento->parcelas->count() > 0)
            
            <?php $i = 1 ?>

            @foreach ($pagamento->parcelas as $item)
                
                <div class="row padding-left5" id="box-itens-linha">
                    
                    <div class="col-xs-1 text-right">
                        
                        <div class="row top5 padding-right10">
                            
                            <span class="bold">{!! $i++ !!}</span>

                        </div>

                    </div>

                    <div class="col-xs-3">
                        
                        <label for="" class="control-label">Vencimento</label>
                        <span class="ellipsis bold">
                            {!! Util::dataFormat($item->vencimento) !!} 
                        </span>

                    </div>

                    <div class="col-xs-2 text-center">
                        
                        <label for="" class="control-label">Parcela</label>
                        <br>
                        <span class="bold">{!! $item->parcela !!}</span>

                    </div>

                    <div class="col-xs-2 text-right">
                        
                        <label for="" class="control-label clearfix">Documento</label>
                        <span class="bold">{!! $item->documento !!}</span>

                    </div>

                    <div class="col-xs-2 text-right">
                        
                        <label for="" class="control-label">Valor</label>
                        <br>
                        <span class="padding-right4 bold">{!! Util::decimal2($item->valor) !!}</span>

                    </div>

                    <div class="col-xs-2 top10 text-center">
                        @if ($item->saldo > 0)
                        <a class="well-sm" href="#" id="informar-pagamento" data-id="{!! $item->id !!}" data-documento="{!! $item->documento !!}" data-fornecedor="{!! $pagamento->fornecedor->nome !!}" data-valor="{!! $item->valor !!}" title="Informar Pagamento">
                            <i class="fa fa-check fa-lg"></i>
                        </a>
                        @endif

                    </div>

                </div> {{-- fim box-itens-linha --}}

                <hr>

            @endforeach

        @else
            
            {!! "" !!}

        @endif

    </div>
