@extends('layouts.default')
@section('content')

<div class="well-sm"></div>

<div class="ibox-content">
	
	{!! Form::open(array('url'=>'login/salvar/' . Auth::user()->id, 'class'=>'form-horizontal')) !!}
		
		<h4 class="">Perfil </h4>

		<div class="hr-line-dashed"></div>

		@include('pages.partials.alert-danger')
			
		@if (Session::has('mensagem-sucesso'))
			
			@include('pages.partials.alert-success')
			
        @endif 

		<div class="row">
			
			<div class="col-xs-4 col-sm-4 col-lg-2 text-center">
				
				<div class="row">
					
					<div class="control-group">
					  	<label class="control-label" for="">Avatar</label>
						<div id="area-avatar" class="col-xs-12" style="padding-top: 5px">
							
							<img id="thumb" class="img-thumbnail img-circle" src="@if (!empty(Auth::user()->avatar)) {!! URL::asset("img/avatares") . "/" . Auth::user()->avatar !!} @else {!! URL::asset("img/avatar0.png") !!} @endif" alt="">
							{!! Form::hidden('avatar', Auth::user()->avatar, array('class'=>'form-control empty', 'id'=>'avatar')) !!}
							<br>
							<br>
							<a href="#" id="mudar-foto" title="Alterar"><i class="fa fa-pencil-square-o fa-2x"></i></a>
							
						</div>
					</div>
					
				</div>

				<br>

				<div class="row">
					
					<div id="avatares" style="display: none; position: relative; top:-30px; left:20px; z-index: 9999">
						
						<ul class="list-unstyled">
							
							<li class="esquerda"><img id="img-avatar" class="img-thumbnail img-circle" style="width: 58px; height: auto" src="{!! URL::asset("img/avatares/avatar0.png") !!}" data-img="{!! "avatar0.png" !!}" alt=""></li>

							@for ($i=1; $i <= 5; $i++)

								<li class="esquerda"><img id="img-avatar" class="img-thumbnail img-circle" style="width: 58px; height: auto" src="{!! URL::asset("img") . "/avatares/" . "avatar" . $i . ".png" !!}" data-img="{!! "avatar" . $i . ".png" !!}" alt=""></li>

							@endfor

							@for ($i=1; $i <= 5; $i++)

								<li class="esquerda"><img id="img-avatar" class="img-thumbnail img-circle" style="width: 58px; height: auto" src="{!! URL::asset("img/avatares") . "/" . "fa0" . $i . ".png" !!}" data-img="{!! "fa0" . $i . ".png" !!}" alt=""></li>

							@endfor

							@for ($i=1; $i <= 5; $i++)

								<li class="esquerda"><img id="img-avatar" class="img-thumbnail img-circle" style="width: 58px; height: auto" src="{!! URL::asset("img/avatares") . "/" . "ma0" . $i . ".png" !!}" data-img="{!! "ma0" . $i . ".png" !!}" alt=""></li>

							@endfor

							@for ($i=1; $i <= 5; $i++)

								<li class="esquerda"><img id="img-avatar" class="img-thumbnail img-circle" style="width: 58px; height: auto" src="{!! URL::asset("img/avatares") . "/" . "fb0" . $i . ".png" !!}" data-img="{!! "fb0" . $i . ".png" !!}" alt=""></li>

							@endfor

							@for ($i=1; $i <= 5; $i++)

								<li class="esquerda"><img id="img-avatar" class="img-thumbnail img-circle" style="width: 58px; height: auto" src="{!! URL::asset("img/avatares") . "/" . "mb0" . $i . ".png" !!}" data-img="{!! "mb0" . $i . ".png" !!}" alt=""></li>

							@endfor

							@for ($i=1; $i <= 5; $i++)

								<li class="esquerda"><img id="img-avatar" class="img-thumbnail img-circle" style="width: 58px; height: auto" src="{!! URL::asset("img/avatares") . "/" . "fc0" . $i . ".png" !!}" data-img="{!! "fc0" . $i . ".png" !!}" alt=""></li>

							@endfor

							@for ($i=1; $i <= 5; $i++)

								<li class="esquerda"><img id="img-avatar" class="img-thumbnail img-circle" style="width: 58px; height: auto" src="{!! URL::asset("img/avatares") . "/" . "mc0" . $i . ".png" !!}" data-img="{!! "mc0" . $i . ".png" !!}" alt=""></li>

							@endfor

							@for ($i=1; $i <= 5; $i++)

								<li class="esquerda"><img id="img-avatar" class="img-thumbnail img-circle" style="width: 58px; height: auto" src="{!! URL::asset("img/avatares") . "/" . "fd0" . $i . ".png" !!}" data-img="{!! "fd0" . $i . ".png" !!}" alt=""></li>

							@endfor

							@for ($i=1; $i <= 5; $i++)

								<li class="esquerda"><img id="img-avatar" class="img-thumbnail img-circle" style="width: 58px; height: auto" src="{!! URL::asset("img/avatares") . "/" . "md0" . $i . ".png" !!}" data-img="{!! "md0" . $i . ".png" !!}" alt=""></li>

							@endfor

							@for ($i=1; $i <= 5; $i++)

								<li class="esquerda"><img id="img-avatar" class="img-thumbnail img-circle" style="width: 58px; height: auto" src="{!! URL::asset("img/avatares") . "/" . "fe0" . $i . ".png" !!}" data-img="{!! "fe0" . $i . ".png" !!}" alt=""></li>

							@endfor

							@for ($i=1; $i <= 5; $i++)

								<li class="esquerda"><img id="img-avatar" class="img-thumbnail img-circle" style="width: 58px; height: auto" src="{!! URL::asset("img/avatares") . "/" . "me0" . $i . ".png" !!}" data-img="{!! "me0" . $i . ".png" !!}" alt=""></li>

							@endfor
									
						</ul>

					</div>

				</div> <!-- fim row -->

				<br>

				<div class="row">
					
					<div id="avatares" style="display: none; position: relative; top:-30px; left:20px; z-index: 9999">
						
						<ul class="list-unstyled">
							
							@for ($i=1; $i <= 5; $i++)

								<li class="esquerda"><img id="img-avatar" class="img-thumbnail img-circle" style="width: 58px; height: auto" src="{!! URL::asset("img") . "/avatares/" . "avatar" . $i . ".png" !!}" data-img="{!! "avatar" . $i . ".png" !!}" alt=""></li>

							@endfor
									
						</ul>

					</div>

				</div> <!-- fim row -->

			</div>

			<div class="col-xs-8 col-sm-8 col-lg-10">
				
				<div class="">
					
					<div class="col-xs-12 col-md-6 limpar">

						<div class="control-group">
						  <label class="control-label" for="">Nome</label>
						  <div class="form-group has-orange">

					  		{!! Form::text('nome', Auth::user()->nome, array('class'=>'form-control empty', 'id'=>'')) !!}
		
						  </div>
						</div>
						
					</div>

					<div class="col-xs-12 col-md-6 limpar">
						
						<div class="control-group">
						  <label class="control-label" for="">Senha Atual</label>
						  <div class="form-group has-orange">

							{!! Form::password('senha', array('class'=>'form-control empty', 'id'=>'')) !!}
		
						  </div>
						</div>

					</div>

					<div class="col-xs-12 col-md-6 limpar">
						
						<div class="control-group">
						  <label class="control-label" for="">Nova senha</label>
						  <div class="form-group has-orange">

						  	{!! Form::password('novasenha1', array('class'=>'form-control empty', 'id'=>'')) !!}
		
						  </div>
						</div>

					</div>

					<div class="col-xs-12 col-md-6 limpar">
						
						<div class="control-group">
						  <label class="control-label" for="">Repita a nova senha</label>
						  <div class="form-group has-orange">

							{!! Form::password('novasenha2', array('class'=>'form-control empty', 'id'=>'')) !!}
		
						  </div>
						</div>

					</div>

				</div> <!-- fim row -->

			</div>

		</div> <!-- fim row -->
			
		<hr>

		<div class="row">
			
            <div class="col-sm-6 pull-right text-right">

                {!! Form::submit('SALVAR', array('class'=>'btn btn-primary btn-sm', 'id'=>'')) !!}
                <a href="{!! URL::to("/") !!}" class="btn btn-default btn-sm" title="Cancelar"><i class="fa fa-reply"></i></a>

            </div>
					
		</div> <!-- fim row -->

	{!! Form::close() !!}

</div> <!-- fim ibox-content -->
		
@endsection

@section('scripts')
	
	<script>

		$("#mudar-foto").click(function() {
			
			$("#avatares").toggle();
			$("#area-avatar").fadeOut();
			
		});

		$("img[id=img-avatar]").click(function() {
			
			$("#thumb").attr("src", Config.baseURL + "img/avatares/" + $(this).data("img"))
			$("#avatar").val($(this).data("img"));
			$("#area-avatar").fadeIn();
			$("#avatares").fadeOut();
			
		});

	</script>

@endsection
